/*
 * This software was developed at the National Institute of Standards and
 * Technology (NIST) by employees of the Federal Government in the course
 * of their official duties. Pursuant to title 17 Section 105 of the
 * United States Code, this software is not subject to copyright protection
 * and is in the public domain. NIST assumes no responsibility  whatsoever for
 * its use by other parties, and makes no guarantees, expressed or implied,
 * about its quality, reliability, or any other characteristic.
 */

/*
 * Author: George Quinn, NIST
 * Email comments to gw@nist.gov
 */

#ifndef _MBE_H_
#define _MBE_H_

extern "C"
{
   #include "mbe.h"
}

#include <cstdio>		// for fprintf
#include <stdlib.h>
#include <fstream>

const int score_precision = 9;  // when scores are output

using namespace std;

void fail(const char* format, ...);


ostream& operator<<(ostream& os, const EYEPAIR& multiface);
ostream& operator<<(ostream& os, const CANDIDATE& candidate);

istream& operator>>(istream& is, ONEFACE& oneface);

#endif /* _MBE_H_ */

