/*
 * This software was developed at the National Institute of Standards and
 * Technology (NIST) by employees of the Federal Government in the course
 * of their official duties. Pursuant to title 17 Section 105 of the
 * United States Code, this software is not subject to copyright protection
 * and is in the public domain. NIST assumes no responsibility  whatsoever for
 * its use by other parties, and makes no guarantees, expressed or implied,
 * about its quality, reliability, or any other characteristic.
 */

/*
 * Author: George Quinn, NIST
 * Email comments to gw@nist.gov
 */

#ifndef _PERSON_H_
#define _PERSON_H_


#include "mbe.h"

#include <string>
#include <limits>

using namespace std;

// Wrapper for MULTIFACE.
class person
{
   public:

      const static int max_num_faces = 30;

      person();
      ~person();

      const uint32_t get_pid() { return pid_; };

      void add_face(const ONEFACE& oneface);

      unsigned int get_numfaces() { return mface_.numfaces; };
      const MULTIFACE* get_multiface() { return &mface_; };

      void clear();

      person& operator=(const person&);

      friend istream& operator>>(istream& is, person& p);

   private:

      uint32_t pid_;
      MULTIFACE mface_;
};

#endif // _PERSON_H_




